curl -X GET "https://api.memanto.ai/agents/my-agent/file-jobs/job_…" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"job_id": "job_…",
"job_type": "ingest",
"agent_id": "my-agent",
"file_id": "file_…",
"file_name": "handbook.pdf",
"status": "chunking",
"chunk_count": 37,
"processed_count": 12,
"error": null,
"created_at": "2026-11-19T15:04:05.000Z",
"updated_at": "2026-11-19T15:05:00.000Z",
"completed_at": null
}
Files
Get File Job
Poll an upload or delete job.
GET
/
agents
/
{agent_id}
/
file-jobs
/
{job_id}
curl -X GET "https://api.memanto.ai/agents/my-agent/file-jobs/job_…" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"job_id": "job_…",
"job_type": "ingest",
"agent_id": "my-agent",
"file_id": "file_…",
"file_name": "handbook.pdf",
"status": "chunking",
"chunk_count": 37,
"processed_count": 12,
"error": null,
"created_at": "2026-11-19T15:04:05.000Z",
"updated_at": "2026-11-19T15:05:00.000Z",
"completed_at": null
}
Overview
Returns the progress of an upload (job_type: ingest) or delete (job_type: delete) job. Deleting a file while it is still processing fails its upload job with error: "superseded_by_delete".
Authentication
Your Memanto Cloud API key (
mk_...). See Authentication.Path Parameters
curl -X GET "https://api.memanto.ai/agents/my-agent/file-jobs/job_…" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"job_id": "job_…",
"job_type": "ingest",
"agent_id": "my-agent",
"file_id": "file_…",
"file_name": "handbook.pdf",
"status": "chunking",
"chunk_count": 37,
"processed_count": 12,
"error": null,
"created_at": "2026-11-19T15:04:05.000Z",
"updated_at": "2026-11-19T15:05:00.000Z",
"completed_at": null
}